import s3 = require('@aws-cdk/aws-s3');
import sns = require('@aws-cdk/aws-sns');
import { Construct } from '@aws-cdk/core';
/**
 * Use an SNS topic as a bucket notification destination
 */
export declare class SnsDestination implements s3.IBucketNotificationDestination {
    private readonly topic;
    constructor(topic: sns.ITopic);
    bind(_scope: Construct, bucket: s3.IBucket): s3.BucketNotificationDestinationConfig;
}
