import lambda = require('@aws-cdk/aws-lambda');
import s3 = require('@aws-cdk/aws-s3');
import { Construct } from '@aws-cdk/core';
/**
 * Use a Lambda function as a bucket notification destination
 */
export declare class LambdaDestination implements s3.IBucketNotificationDestination {
    private readonly fn;
    constructor(fn: lambda.IFunction);
    bind(_scope: Construct, bucket: s3.IBucket): s3.BucketNotificationDestinationConfig;
}
